/v1/mgmt/thirdparty/app/updateAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
string backChannelLogoutUrl = 10 [(validate).string = {url: true, optional: true}];
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
{
"attribute-key": "attribute-value"
}JAR (JWT-Secured Authorization Request, RFC 9101) settings for Third Party Applications
scopeClaimMapping is the structured scope→claim model. Consumed by UpdateThirdPartyApplicationV2 (v2 write-replace: attributesScopes is ignored/cleared). v1 ignores this field.
clientAuthMethod: "clientSecret" (default when empty), "privateKeyJwt" (only clientAssertions are accepted) or "workloadIdentity" (only workloadClientAssertions are accepted).
clientAssertions are the private_key_jwt trust entries (JWKS URL or PEM public key per entry).
workloadClientAssertions are the workload identity trust entries (SPIFFE trust domain or OIDC issuer per entry).
Update a third party application, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/update" \ -H "Content-Type: application/json" \ -d '{}'